"""adicionado primeiros campos do model de usuarios

Revision ID: eb845cee2167
Revises: 
Create Date: 2019-10-08 16:33:48.623288

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'eb845cee2167'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('user',
    sa.Column('dh_inicio_registro', sa.DateTime(), server_default=sa.text('now()'), nullable=False),
    sa.Column('dh_fim_registro', sa.DateTime(), nullable=True),
    sa.Column('id_user', sa.Integer(), nullable=False),
    sa.Column('nome', sa.String(length=60), nullable=False),
    sa.Column('email', sa.String(length=100), nullable=False),
    sa.Column('password', sa.String(length=255), nullable=False),
    sa.PrimaryKeyConstraint('id_user')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('user')
    # ### end Alembic commands ###
